org.apache.olingo.commons.api.edm.provider

## Class CsdlActionImport

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlOperationImport
    - - org.apache.olingo.commons.api.edm.provider.CsdlActionImport

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlActionImport
      extends CsdlOperationImport

  Represents an action import CSDL item

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.commons.api.edm.provider.CsdlOperationImport

      `annotations, entitySet, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlActionImport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAction()` Returns the full qualified name of the action as string
    `FullQualifiedName` | `getActionFQN()` Returns the full qualified name of the action
    `CsdlActionImport` | `setAction(FullQualifiedName action)` Sets the full qualified name of the action
    `CsdlActionImport` | `setAction(String action)` Sets the full qualified name of the action as string
    `CsdlActionImport` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlActionImport` | `setEntitySet(String entitySet)` Sets entity set.
    `CsdlActionImport` | `setName(String name)` Sets name.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlOperationImport

      `getAnnotations, getEntitySet, getName`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlActionImport

          public CsdlActionImport()

  - ### Method Detail

    - #### setName

          public CsdlActionImport setName(String name)

      Description copied from class: `CsdlOperationImport`
      Sets name.
      Overrides:
        `setName` in class `CsdlOperationImport`
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### setEntitySet

          public CsdlActionImport setEntitySet(String entitySet)

      Description copied from class: `CsdlOperationImport`
      Sets entity set.
      Overrides:
        `setEntitySet` in class `CsdlOperationImport`
      Parameters:
        `entitySet` - the entity set
      Returns:
        the entity set

    - #### getAction

          public String getAction()

      Returns the full qualified name of the action as string
      Returns:
        full qualified name

    - #### getActionFQN

          public FullQualifiedName getActionFQN()

      Returns the full qualified name of the action
      Returns:
        full qualified name

    - #### setAction

          public CsdlActionImport setAction(String action)

      Sets the full qualified name of the action as string
      Parameters:
        `action` - full qualified name
      Returns:
        this instance

    - #### setAction

          public CsdlActionImport setAction(FullQualifiedName action)

      Sets the full qualified name of the action
      Parameters:
        `action` - full qualified name
      Returns:
        this instance

    - #### setAnnotations

          public CsdlActionImport setAnnotations(List<CsdlAnnotation> annotations)

      Description copied from class: `CsdlOperationImport`
      Sets a list of annotations
      Overrides:
        `setAnnotations` in class `CsdlOperationImport`
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.